%define	daterel	2013.07
Name:		u-boot-tools
Version:	20130723
Release:	%mkrel 6
Summary:	Tools for the u-boot Firmware
Group:		System/Kernel and hardware
Url:		http://www.denx.de/wiki/U-Boot
Source0:	ftp://ftp.denx.de/pub/u-boot/u-boot-%{daterel}.tar.bz2
License:	GPLv2

%description
Das U-Boot (or just "U-Boot" for short)
is an Open Source Firmware for Embedded PowerPC, ARM, MIPS and x86 processors.
This package contains:
mkimage a tool that creates kernel bootable images for u-boot.

%package doc
Summary:	Documentation for the u-boot Firmware
Group:		Development/Other

%description doc
Das U-Boot (or just "U-Boot" for short) is an Open Source Firmware
for Embedded PowerPC, ARM, MIPS and x86 processors.
This package contains documentation for u-boot firmware

%prep
%setup -q -n u-boot-%{daterel}

%build
sed -i -e "s:-g ::" tools/Makefile || die
%make USE_PRIVATE_LIBGG=yes tools HOSTSTRIP=/bin/true

%install
install -D -m 0755 tools/mkimage %{buildroot}%{_bindir}/mkimage
install -D -m 0644 doc/mkimage.1 %{buildroot}%{_mandir}/man1/mkimage.1
gzip %{buildroot}%{_mandir}/man1/*

%files
%{_bindir}/mkimage
%{_mandir}/man1/mkimage.1.*
%doc COPYING CREDITS README

%files doc
%doc doc/README.autoboot doc/README.commands doc/README.console doc/README.dns
%doc doc/README.hwconfig doc/README.nand doc/README.NetConsole doc/README.serial_multi
%doc doc/README.SNTP doc/README.standalone doc/README.update doc/README.usb
%doc doc/README.video doc/README.VLAN doc/README.silent doc/README.POST doc/README.Modem
%doc doc/README.JFFS2 doc/README.JFFS2_NAND doc/README.commands
%doc tools/scripts/dot.kermrc tools/scripts/flash_param tools/scripts/send_cmd tools/scripts/send_image
%doc doc/README.ARM-SoC doc/README.ARM-memory-map


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 20130723-6.mga6
+ Revision: 963144
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 tv <tv> 20130723-5.mga6
+ Revision: 894639
- do not strip thus fixing debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 20130723-4.mga5
+ Revision: 743543
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20130723-3.mga5
+ Revision: 690005
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20130723-2.mga4
+ Revision: 531046
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 tmb <tmb> 20130723-1.mga4
+ Revision: 461650
- update to 2013.07

* Mon Jan 14 2013 umeabot <umeabot> 20120421-2.mga3
+ Revision: 384937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 fedya <fedya> 20120421-1.mga3
+ Revision: 283641
- is an  open source Firmware
- %%mkrel 1 added
- imported package u-boot-tools

